
Foreman - Bug #1219

<%= shortname %> and <%= domain %> not available in PXELinux template

10/10/2011 07:49 AM - Olivier Le Cam

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Web Interface   

Target version: 0.4   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

This applies to the nightly build (oct 10, 2011).

The safemode prevents to use the <%= shortname > and <= domain %> macros in a PXELinux template.

Here is the message shown by the UI when clicking the Build button for an host:

Failed to enable myhost.domain.tld for installation

Failed to generate PXELinux template: Safemode doesn't allow to access 'shortname' on #

 The problem is gone when safemode is disabled.

Thanks.

Associated revisions

Revision 33b4b287 - 10/23/2011 03:17 AM - Ohad Levy

fixes #1219 - <%= shortname > and <= domain %> not available in PXELinux template

History

#1 - 10/10/2011 09:28 AM - Ohad Levy

- Target version set to 0.4

#2 - 10/23/2011 04:13 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 33b4b287f19c0b5a2d9f956ab11c5b52318e327f.
